org.vishia.gral.swt

## Class SwtTable.TableKeyListerner

- java.lang.Object
- - org.vishia.gral.swt.SwtTable.TableKeyListerner

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.events.KeyListener, org.eclipse.swt.internal.SWTEventListener
  Enclosing class:
    SwtTable

      class SwtTable.TableKeyListerner
      extends java.lang.Object
      implements org.eclipse.swt.events.KeyListener

  A Table is completed with a special key listener. On all keys the `GralUserAction` given in the `GralWidget#getActionChange()` is called
  - with given command "table-key".
  - params[0] is the selected line referenced with `GralTableLine_ifc`
  - params[1] is the key code described in `KeyCode`
  If the method returns false, the central key action given in `GralMng.getRegisteredUserAction(String)` for "keyAction" is tried to get and then invoked with cmd = "key" and the key code in params[0]. This central keyAction may be used for application centralized keys without association to the table itself.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) org.eclipse.swt.events.KeyListener` | `basicListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableKeyListerner(org.eclipse.swt.events.KeyListener basicListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `keyPressed(org.eclipse.swt.events.KeyEvent keyEv)`
    `void` | `keyReleased(org.eclipse.swt.events.KeyEvent arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### basicListener

          final org.eclipse.swt.events.KeyListener basicListener

  - ### Constructor Detail

    - #### TableKeyListerner

          public TableKeyListerner(org.eclipse.swt.events.KeyListener basicListener)

  - ### Method Detail

    - #### keyPressed

          public void keyPressed(org.eclipse.swt.events.KeyEvent keyEv)

      Specified by:
        `keyPressed` in interface `org.eclipse.swt.events.KeyListener`

    - #### keyReleased

          public void keyReleased(org.eclipse.swt.events.KeyEvent arg0)

      Specified by:
        `keyReleased` in interface `org.eclipse.swt.events.KeyListener`